Name:           gconf-cleaner
Version:        0.0.3
Release:        1%{?dist}
Summary:        A Cleaning tool for GConf

Group:          Applications/System
License:        GPLv2+
URL:            http://code.google.com/p/gconf-cleaner/
Source0:        http://gconf-cleaner.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, GConf2-devel, perl-XML-Parser, gettext, desktop-file-utils


%description
GConf Cleaner is a tool to clean a GConf database which is possibly 
cluttered with unnecessary or invalid keys

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

# fix bug rh #248166
# if fix in %%prep, it breaks intltool 
sed -i 's/A Cleaning tool for GConf/Clean GConf database/' src/gconf-cleaner.desktop

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop  

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Aug 30 2009 Pablo Martin-Gomez <pablo.martin-gomez@laposte.net> - 0.0.3-1
- Update to 0.0.3
- Use upstream .desktop file and fix it for bug rh #248166

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.2-6
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.2-5
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.0.2-4
- Rebuild for selinux ppc32 issue.

* Mon Jul 09 2007 Damien Durand <splinux@fedoraproject.org> - 0.0.2-3
- Fix desktop file

* Thu Jun 14 2007 Damien Durand <splinux@fedoraproject.org> - 0.0.2-2
- Fix spec file description
- Fix desktop file

* Thu Jun 13 2007 Damien Durand <splinux@fedoraproject.org> - 0.0.2-1
- Initial RPM release
